<!doctype html>
<html>
<head>
    <title>Rumors of Tor&#39;s compromise are greatly exaggerated | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Rumors of Tor&#39;s compromise are greatly exaggerated | Tor Project">
    <meta property="og:description" content="There are two recent stories claiming the Tor network is compromised. It seems it is easier to...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/rumors-tors-compromise-are-greatly-exaggerated/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Rumors of Tor&#39;s compromise are greatly exaggerated
      </h1>
    <p class="meta">by phobos | October 25, 2011</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>There are two recent stories claiming the Tor network is compromised. It seems it is easier to get press than to publish research, work with us on the details, and propose solutions. Our comments here are based upon the same stories you are reading. We have no insider information.</p>

<p>The first story has been around 'Freedom Hosting' and their hosting of child abuse materials as exposed by <a href="http://arstechnica.com/business/news/2011/10/anonymous-takes-down-darknet-child-porn-site-on-tor-network.ars" rel="nofollow">Anonymous Operation Darknet</a>. We're reading the press articles, pastebin urls, and talking to the same people as you. It appears 'Anonymous' cracked the Apache/PHP/MySQL setup at Freedom Hosting and published some, or all, of their users in the database. These sites happened to be hosted on a <a href="https://www.torproject.org/docs/hidden-services.html.en" rel="nofollow">Tor hidden service</a>. Further, 'Anonymous' used a somewhat recent RAM-exhaustion denial of service attack on the 'Freedom Hosting' Apache server. It's a simple resource starvation attack that can be conducted over low bandwidth, low resource requirement connections to individual hosts. This isn't an attack on Tor, but rather an attack on some software behind a Tor hidden service. This attack was discussed in a thread on the <a href="https://lists.torproject.org/pipermail/tor-talk/2011-October/021822.html" rel="nofollow">tor-talk</a> mailing list starting October 19th.</p>

<p>The second story is around Eric Filiol's claims of compromising the Tor network leading up to his Hackers to Hackers talk in Brazil in a few days. This claim was initially announced by some French websites; however, it has spread further, such as this <a href="http://thehackernews.com/2011/10/tor-anonymizing-network-compromised-by.html" rel="nofollow">Hacker News</a> story.<br />
Again, the <a href="https://lists.torproject.org/pipermail/tor-talk/2011-October/021722.html" rel="nofollow">tor-talk</a> mailing list had the first discussions of these attacks back on October 13th. To be clear, neither Eric nor his researchers have disclosed anything about this attack to us. They have not talked to us, nor shared any data with us — despite some mail exchanges where we reminded him about the phrase "responsible disclosure".</p>

<p>Here's the attack as we understand it, from reading the various press reports:</p>

<p>They enumerated 6000 IP addresses that they think are Tor relays. There aren't that many Tor relays in the world — <a href="https://metrics.torproject.org/network.html" rel="nofollow">2500</a> is a more accurate number. We're not sure what caused them to overcount so much. Perhaps they watched the Tor network over a matter of weeks and collected a bunch of addresses that aren't relays anymore? The set of relays is public information, so there's no reason to collect your own list and certainly no reason to end up with a wrong list.</p>

<p>One-third of the machines on those IP addresses are vulnerable to operating system or other system level attacks, meaning he can break in. That's quite a few! We wonder if that's true with the real Tor network, or just their simulated one? Even ignoring the question of what these 3500 extra IP addresses are, it's important to remember that one-third by number is not at all the same as one-third by capacity: Tor clients load-balance over relays based on the relay capacity, so any useful statement should be about how much of the <em>capacity</em> of the Tor network is vulnerable. It would indeed be shocking if one-third of the Tor network by capacity is vulnerable to external attacks.</p>

<p>(There's also an aside about enumerating <a href="https://www.torproject.org/docs/bridges" rel="nofollow">bridges</a>. They say they found 181 bridges, and then there's a quote saying they "now have a complete picture of the topography of Tor", which is a particularly unfortunate time for that quote since there are currently around 600 bridges running.)</p>

<p>We expect the talk will include discussion about some cool Windows trick that can modify the crypto keys in a running Tor relay that you have local system access to; but it's simpler and smarter just to say that when the attacker has local system access to a Tor relay, the attacker controls the relay.</p>

<p>Once they've broken into some relays, they do congestion attacks like <a href="http://freehaven.net/anonbib/#torspinISC08" rel="nofollow">packet spinning</a> to congest the relays they couldn't compromise, to drive users toward the relays they own. It's unclear how many resources are needed to keep the rest of the relays continuously occupied long enough to keep the user from using them. There are probably some better heuristics that clients can use to distinguish between a loaded relay and an unavailable relay; we look forward to learning how well their attack here actually worked.</p>

<p>From there, the attack gets vague. The only hint we have is this nonsense sentence from the article:</p>

<blockquote><p>The remaining flow can then be decrypted via a fully method of attack called "to clear unknown" based on statistical analysis.</p></blockquote>

<p>Do they have a new attack on AES, or on OpenSSL's implementation of it, or on our use of OpenSSL? Or are they instead doing some sort of timing attack, where if you own the client's first hop and also the destination you can use statistics to confirm that the two flows are on the same circuit? There's a history of <a href="https://blog.torproject.org/blog/one-cell-enough" rel="nofollow">confused researchers</a> proclaiming some sort of novel active attack when passive correlation attacks are much simpler and just as effective.</p>

<p>So the summary of the attack might be "take control of the nodes you can, then congest the other ones so your targets avoid them and use the nodes you control. Then do some unspecified magic crypto attack to defeat the layers of encryption for later hops in the circuit." But really, these are just guesses based on the same news articles you're reading. We look forwarding to finding out if there's actually an attack we can fix, or if they are just playing all the journalists to get attention.</p>

<p>More generally, there are two broader lessons to remember here. First, research into anonymity-breaking attacks is how the field moves forward, and using Tor for your target is <a href="http://freehaven.net/anonbib/" rel="nofollow">common</a> because a) it's resistant to all the simpler attacks and b) we make it <a href="https://www.torproject.org/getinvolved/research.html.en" rel="nofollow">really easy</a> to do your research on. And second, remember that most other anonymity systems out there fall to these attacks so quickly and thoroughly that no researchers even talk about it anymore. For some recent examples, see the single-hop proxy discussions in <a href="http://freehaven.net/anonbib/#tissec-latency-leak" rel="nofollow">How Much Anonymity does Network Latency Leak?</a> and <a href="http://freehaven.net/anonbib/#wpes11-panchenko" rel="nofollow">Website Fingerprinting in Onion Routing Based Anonymization Networks</a>.</p>

<p>I thank Roger, Nick, and Runa for helping with this post.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/network">
          network
        </a>
      </li><li>
        <a href="../category/onion-services">
          onion services
        </a>
      </li><li>
        <a href="../category/research">
          research
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-12276"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12276" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12276">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12276" class="permalink" rel="bookmark">lol</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>lol</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12279"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12279" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12279">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12279" class="permalink" rel="bookmark">Why tor&#039;s not send a paper</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why tor's not send a paper to Hackers to Hackers (in Brazil) and explain this there? Will be so good...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12280"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12280" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12280">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12280" class="permalink" rel="bookmark">Eric Filiol frequently</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Eric Filiol frequently publishes confused nonsense; not only when it comes to practical attacks, but in his theoretical papers too.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12281"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12281" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12281">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12281" class="permalink" rel="bookmark">FUCK DIS ALL BASTARDS ...</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>FUCK DIS ALL BASTARDS ... PUBLICK ALL!!!!!!!!!!!!! TORREN EMULE XDCC ... FACEBOOK .. WIKILEAKS</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12296"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12296" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12281" class="permalink" rel="bookmark">FUCK DIS ALL BASTARDS ...</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12296">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12296" class="permalink" rel="bookmark">Indeed, a salient point. It</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Indeed, a salient point. It behooves us to heed this well-reasoned and thoughtful comment.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12300"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12300" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12296" class="permalink" rel="bookmark">Indeed, a salient point. It</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12300">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12300" class="permalink" rel="bookmark">I concur.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I concur.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-12282"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12282" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12282">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12282" class="permalink" rel="bookmark">As the organizer of H2HC I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As the organizer of H2HC I would love to make specific<br />
Questions you have to the speaker during the Q&amp;A session of the talk.</p>
<p>We are not a media oriented conference and we made no claims about the research.  What I can tell is the researcher and its lab have a good reputation and I would love to see great questions on the matter.</p>
<p>But about responsible disclosure I need to advice you to not go for this path,  researcher will colaborate if THEY want.  There is no such obligations and sometimes (for example, if the problems are within the vulnerable machines and not in tor itself) when public/full disclosure is the best/safest way to go.</p>
<p>Regards,</p>
<p>Rodrigo (BSDaemon)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12288"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12288" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12282" class="permalink" rel="bookmark">As the organizer of H2HC I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12288">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12288" class="permalink" rel="bookmark">&gt; But about responsible</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; But about responsible disclosure I need to advice you to not go for this path, researcher will colaborate if THEY want.</p>
<p>This "researcher" happens to be a joke (in 2003 he claimed to have cracked AES, see eprint.iacr.org/2003/022.ps ) and so is your conference.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12289"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12289" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12288" class="permalink" rel="bookmark">&gt; But about responsible</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12289">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12289" class="permalink" rel="bookmark">@ Anonymous: Spot on! Well</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@ Anonymous: Spot on! Well written. </p>
<p>@ Rodrigo (BSDaemon): Can you save "BURN"?! It's looking more and more like you and your "conference" only included that hack (Eric Filiol) so your "conference" can gain publicity. Shameful, sir. And the fact you don't understand the basic tenets of responsible disclosure proves your ignorance. I'm not a computer scientist, but even I understand the reasons for, and importance of, responsible disclosure. Here's another word for you: "FAIL"! ;-)</p>
<p>@ Eric Filiol: Your sir, are a disingenuous moron. Granted, you may be intelligent but you're also a moron ... I used to think they where mutually exclusive to one another, but you have proven me wrong. Congrats! Oh yea, enjoy your 15 minutes ... tick ... tick ... tick.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12290"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12290" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12282" class="permalink" rel="bookmark">As the organizer of H2HC I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12290">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12290" class="permalink" rel="bookmark">For Christs Sake! It&#039;s</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For Christs Sake! It's "Tor", *NOT* "tor" or "TOR" or "toR" or "tOr" or "tOR" or any other inane spelling. It really blows my mind that you are the organizer of that "convention", considering you don't even understand how to spell Tor. LOLZ. Moron.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12301"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12301" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12290" class="permalink" rel="bookmark">For Christs Sake! It&#039;s</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12301">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12301" class="permalink" rel="bookmark">L00l, he 1s jUsT dodg1ng t3h</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>L00l, he 1s jUsT dodg1ng t3h k3yw0rd filt3rs and l1sitening dEvIcEs, OK??</p>
<p>If yoU KeEp spell1ng t0Re d1fferenlee it iz h4rd for them 2 c it. u no hoo i me3n.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12305"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12305" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12282" class="permalink" rel="bookmark">As the organizer of H2HC I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12305">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12305" class="permalink" rel="bookmark">Eric Filiol has a good</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Eric Filiol has a good reputation indeed, but that depend to who you ask.<br />
A few example :</p>
<p>- the aes case, where he claimed twice to have broken it. But it turned out to be a issue with randomness, see others comments.</p>
<p>- the perseus project, where he organized something to prove it could not be broken, but he used different binary than the one he distributed, showing a lack of rigor in the best case ( <a href="http://news0ft.blogspot.com/2011/06/challenge-fail.html" rel="nofollow">http://news0ft.blogspot.com/2011/06/challenge-fail.html</a> ). He also changed the rules of the challenges, when someone pointed issue in his code, saying people should not focus on problem in the code, but in the system itself. </p>
<p>- perseus again, where he claimed that since no one broke his design 1 month ago, the whole stuff was secure ( seen in a free software conference in Strasbourg, LSM, no video yet unfortunately )</p>
<p>- he also claim that perseus is not design to protect against governement needing to read messages and say this is for legitimate requirement ( <a href="http://2011.rmll.info/IMG/pdf/rmll11_filiol.pdf" rel="nofollow">http://2011.rmll.info/IMG/pdf/rmll11_filiol.pdf</a> last slideq ). A few weeks later, he say on another project ( davfi, a future antivirus not written yet who will likely just be a fork of clamav ) that he will not bend to the will of the french state ( <a href="http://www.channelnews.fr/produits-et-solutions/securite/10735-la-france-pourrait-avoir-son-anti-virus-pour-mieux-ignorer-ses-mouchards--.html" rel="nofollow">http://www.channelnews.fr/produits-et-solutions/securite/10735-la-franc…</a> ). </p>
<p>- finally, the whole seclamav project is a joke. The project just produce a patch, without cleaning Makefile.in ), do not show the history or anything, and the patch add some subtil bug ( start by the end until you see    FREE (canonical) and seek the problem ). </p>
<p>So while organizers cannot know everybody in the community, especially in others country and I guess people cannot realistally blame you for that, the whole talk is a little bit weird. Claiming to have broken tor is usually two things :<br />
- a old attack already know, or patched<br />
- a lie.</p>
<p>In both case, checking with tor project seems to be a good idea to avoid hurting the reputation of the conference.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12315"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12315" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12282" class="permalink" rel="bookmark">As the organizer of H2HC I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12315">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12315" class="permalink" rel="bookmark">You say:
&gt; But about</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You say:<br />
&gt; But about responsible disclosure I need to advice you to not go for this path, researcher will colaborate if THEY want. </p>
<p>What exactly are you objecting to?  Of course researchers will collaborate or not collaborate as they choose.  Nobody is saying that Tor has the power to compel you Mr. Filiol to tell them how his claimed attack works.  Conversely, neither you nor Mr. Filiol has the power to stop the Tor people from saying, "We asked them how the attack works, and they wouldn't tell us.  If this is a viable and previously unknown attack, then their failure to share with us will hurt users.  Hurting users is not responsible behavior."</p>
<p>Mr. Filiol will of course do as he choses.</p>
<p>&gt; There is no such obligations and sometimes (for example, if the problems are within the vulnerable machines and not in tor itself) when public/full disclosure is the best/safest way to go.</p>
<p>Even if the problems were with vulnerable machines, Mr. Filiol could well serve the Tor userbase by reporting that and trying to get the vulnerable machines voted off the Tor network before they hurt somebody.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12283"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12283" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12283">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12283" class="permalink" rel="bookmark">Nice tag: winning the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nice tag: winning the attention economy!</p>
<p><a href="https://twitter.com/#!/moxie__/status/115844171142664192[1" rel="nofollow">https://twitter.com/#!/moxie__/status/115844171142664192[1</a> is relevant</p>
<p>Now, you've just given him all the attention he craves. H2H will get more people and attention because of this post.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12284"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12284" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12284">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12284" class="permalink" rel="bookmark">Sounds like another skiddy</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sounds like another skiddy trying to get famous. Keep up the good work!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12292"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12292" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12284" class="permalink" rel="bookmark">Sounds like another skiddy</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12292">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12292" class="permalink" rel="bookmark">This guy Eric Filliol is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This guy Eric Filliol is already famous enough, his bullshitting is more likely pathological.</p>
<p>The issue here seems more like a conference accepting a presentation based on hype rather than technical merits. It's usual enough in the infosec conference biz for anyone to be seriously going to do something about this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12285"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12285" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12285">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12285" class="permalink" rel="bookmark">&quot;Hackers to Hackers&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"Hackers to Hackers" conference is a complete joke.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12286"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12286" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12286">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12286" class="permalink" rel="bookmark">What&#039;s about &quot;Cyber Crime</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What's about "Cyber Crime Scene Investigations (C 2 SI ) through Cloud Computing" (<a href="http://www.cs.uml.edu/~xinwenfu/paper/SPCC10_Fu.pdf" rel="nofollow">http://www.cs.uml.edu/~xinwenfu/paper/SPCC10_Fu.pdf</a>)</p>
<p>"From our study, with 168 EC2<br />
sentinels, we can achieve over 99% catch probability if the<br />
suspect makes 3 connections. As the traceback utilizes the<br />
“pay-as-you-go” model of cloud computing and the network<br />
forensics session may last for a few hours or a few days,<br />
the strategy is cost effective."</p>
<p>Seems relevant to PlanetLab 512 Tor-nodes excluded from the consensus incindent: <a href="https://blog.torproject.org/blog/june-2010-progress-report" rel="nofollow">https://blog.torproject.org/blog/june-2010-progress-report</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12287"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12287" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12287">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12287" class="permalink" rel="bookmark">Public disclosure of a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Public disclosure of a vulnerability before the developers are given a chance to fix the problem is not responsible. Public shaming if your efforts to contact the developers are not productive is perfectly valid, but you should be pretty damned sure about your research first. Otherwise you risk driving users of an honest tool to organizations that make exaggerated claims about security and are not open source.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12297"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12297" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12297">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12297" class="permalink" rel="bookmark">well thanks for your free</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>well thanks for your free service , hope people will colaborate to help :) </p>
<p>dont stop ! tanks you tor staff</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12298"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12298" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12298">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12298" class="permalink" rel="bookmark">The Brazilian government has</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Brazilian government has a monopoly on the production of oil and minerals. Large companies Petrobras (oil) and Vale (minerals) belongs to the government. These companies divert public money through NGO's. This is the most common kind of corruption in Brazil. Sponsorship of activities of public interest. They divert big money from this large companies with this lovely argument.</p>
<p>The members of these Brazilian NGO's make too much noise to justify the large amount of money they receive. A volume of millions of dollars. The problem is that a big part of this money is shifted to the accounts of politicians and are not used for the research of their NGO's.</p>
<p>Brazil is a real big problem. We can not trust this people, we can not rely on their information. The brazilian group "Anonymous" are handled by politicians for campaign purposes and to justify the weird things that happens in their government over there.</p>
<p>The Soccer World Cup will cost more than US$ 40 billion and they have to create the largest possible number of midia distractions to divert the attention of the Brazilian people of these nonsense numbers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12304"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12304" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12298" class="permalink" rel="bookmark">The Brazilian government has</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12304">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12304" class="permalink" rel="bookmark">You are sure about that you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You are sure about that you say? I think that no...<br />
Vale not belong to the government. Search before you speak:</p>
<p><a href="http://en.wikipedia.org/wiki/Vale_%28mining_company%29" rel="nofollow">http://en.wikipedia.org/wiki/Vale_%28mining_company%29</a></p>
<p>(Sorry about my english, but you are smart and can understand).<br />
Take Care.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12318"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12318" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12304" class="permalink" rel="bookmark">You are sure about that you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12318">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12318" class="permalink" rel="bookmark">Petrobras:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Petrobras: <a href="http://en.wikipedia.org/wiki/Petrobras" rel="nofollow">http://en.wikipedia.org/wiki/Petrobras</a><br />
64% of the stocks belongs to the brazilian goverment. </p>
<p>Safernet: <a href="http://www.safernet.org.br/" rel="nofollow">http://www.safernet.org.br/</a></p>
<p>This NGO from Salvador, Bahia, Brazil is is supported solely by Petrobras. 100% Petrobras Sponsorship. This organization is behind several attacks on websites, blogs and virtual communities that somehow goes against what they consider a code of conduct.  </p>
<p>Several tips that are spread over the Internet in some way links this organization as a cause of attacks in the Darknet. According to the comments and tips raised we understood  that they can not act with the conventional tools of Clearnet, so they chose to use these obscure techniques.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12319"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12319" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12304" class="permalink" rel="bookmark">You are sure about that you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12319">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12319" class="permalink" rel="bookmark">This brazilian blog says:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This brazilian blog says:<b> Why we are flooding the darknet.<br />
</b><br />
[geshifilter-code]<a href="http://atrasdaverdade.wordpress.com/2011/10/26/anonymous-operacao-darknet-nosso-manifesto/[/geshifilter-code" rel="nofollow">http://atrasdaverdade.wordpress.com/2011/10/26/anonymous-operacao-darkn…</a>]</p>
<p>Google translation:</p>
<p>[geshifilter-code]<a href="http://translate.google.com/translate?hl=en&amp;sl=pt&amp;tl=en&amp;u=http%3A%2F%2Fatrasdaverdade.wordpress.com%2F2011%2F10%2F26%2Fanonymous-operacao-darknet-nosso-manifesto%2F[/geshifilter-code" rel="nofollow">http://translate.google.com/translate?hl=en&amp;sl=pt&amp;tl=en&amp;u=http%3A%2F%2F…</a>]</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-12299"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12299" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2011</p>
    </div>
    <a href="#comment-12299">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12299" class="permalink" rel="bookmark">When the guys build Tor they</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When the guys build Tor they known all the risks and they also know how and where the attacks will came from. I'm sure they also knows what will happen in the future and where exactly the leaks will show. I watch them going from one side to another, changing this, fixing that, talking with others that are trying to break in. It doesn't bother me. I only need to know they are always aware. I only need to know they're always researching and taken care of Tor. I only need to know they are there. Just to be sure. A.P.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12323"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12323" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 27, 2011</p>
    </div>
    <a href="#comment-12323">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12323" class="permalink" rel="bookmark">Nobody wants to see Tor used</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nobody wants to see Tor used for trafficking child abuse material. Frankly, it is deplorable and gives the Tor network a bad name. However, Tor is a very useful, necessary tool for those in some unsavory places. Tor must be robust enough to protect those who truly need it.</p>
<p>I dare say, this actually includes the child abusers. There seems to be no group that is hated more, and as a result the Tor network becomes the target of these attacks in an effort to get to the child abusers. That said, the attacks provide useful and helpful information in strengthening the Tor network, thus providing greater protection for those in said unsavory places.</p>
<p>It is an evil within the network, but as I see it, it is a necessary evil (at least for the time being).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12326"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12326" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 27, 2011</p>
    </div>
    <a href="#comment-12326">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12326" class="permalink" rel="bookmark">to something TOR anon now is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>to something TOR anon now is targeting onion read there tweets now</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12398"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12398" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 29, 2011</p>
    </div>
    <a href="#comment-12398">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12398" class="permalink" rel="bookmark">This attack isn&#039;t new.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This attack isn't new. See:</p>
<p>"Compromising Anonymity Using Packet Spinning" by Vasilis Pappas, Elias Athanasopoulos, Sotiris Ioannidis, and Evangelos P. Markatos.<br />
<a href="http://freehaven.net/anonbib/#torspinISC08" rel="nofollow">http://freehaven.net/anonbib/#torspinISC08</a></p>
<p>From the abstract:</p>
<p>&gt; We present a novel attack targeting anonymizing systems. The attack involves placing a malicious relay node inside an anonymizing system and keeping legitimate nodes "busy." We achieve this by creating circular circuits and injecting fraudulent packets, crafted in a way that will make them spin an arbitrary number of times inside our artificial loops. At the same time we inject a small number of malicious nodes that we control into the anonymizing system. By keeping a significant part of the anonymizing system busy spinning useless packets, we increase the probability of having our nodes selected in the creation of legitimate circuits, since we have more free capacity to route requests than the legitimate nodes. This technique may lead to the compromise of the anonymity of people using the system.</p>
<p>In other words, Filiol is a plagiarist.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12457"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12457" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 31, 2011</p>
    </div>
    <a href="#comment-12457">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12457" class="permalink" rel="bookmark">It&#039;s Oct. 31 now, meaning</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's Oct. 31 now, meaning the conference has passed.  Does anyone have any new information about this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12485"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12485" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2011</p>
    </div>
    <a href="#comment-12485">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12485" class="permalink" rel="bookmark">Regarding Eric Filiol, I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Regarding Eric Filiol, I think we should even talk about <em>irresponsible disclosure</em>. </p>
<p>Today he saw fit to release the list of bridges he has discovered.</p>
<p>Here is his latest blog post with a link to the bridges list he put on Google Doc. And that's the only thing he dared to release.</p>
<p><a href="http://cvo-lab.blogspot.com/2011/11/tor-attack-technical-details.html" rel="nofollow">http://cvo-lab.blogspot.com/2011/11/tor-attack-technical-details.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12494"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12494" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2011</p>
    </div>
    <a href="#comment-12494">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12494" class="permalink" rel="bookmark">http://pastebin.com/hquN9kg5
</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://pastebin.com/hquN9kg5" rel="nofollow">http://pastebin.com/hquN9kg5</a></p>
<p>Take a look, they claim they created a modified torbutton that traced ip's with mozilla's help and put a dl link to it on a pedo hidden wiki site and claimed it as a security update as part of a recent tor release. </p>
<p><a href="http://www.huffingtonpost.com/2011/11/02/anonymous-ip-addresses-child-porn-viewers_n_1072134.html" rel="nofollow">http://www.huffingtonpost.com/2011/11/02/anonymous-ip-addresses-child-p…</a></p>
<p>The news article claims they modified tor itself (insinuating they hacked tors servers), but as usual the reporter doesnt understand what they're reporting on and releases fud into the atmosphere. </p>
<p>According to them 190 people were dumb enough to download a sketchy link on an apparently frequently vandalized page, and most of them are in NYC. </p>
<p>USA! USA! USA!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12617"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12617" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 11, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12494" class="permalink" rel="bookmark">http://pastebin.com/hquN9kg5
</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12617">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12617" class="permalink" rel="bookmark">Now, if I understand you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Now, if I understand you correctly, you're telling me that they've published the Internet addresses of 190 alleged pedophiles. Sounds like more surreptitious Nazism to me!<br />
And yes, I'm one of those who activated the "update" button on Hard Candy and all that resulted was that Tor gave up working. No problem at all because I know where I can get a duplicate copy... And no one has come bustling into my offices demanding the surrender of the “offending” party either.<br />
And viewing Hard Candy doesn't make me a paedophile either - I'm sure there are many other law enforcement personnel checking it out on a regular basis too in the hope of picking up a lead. And I (and my task force) certainly haven't been informed of any 190 alleged pedophiles who's IP addresses have been published on any network. I'm also very sure that any site host would take legal advice to confirm bona fides lest he or she be sued down to their pajama buttons.<br />
It all sounds like this Anonymous 'hacktivist' group are a collection of malicious and immature fools too cowardly to step forward and testify as to evidence as witnesses in a court-of-law...</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12495"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12495" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2011</p>
    </div>
    <a href="#comment-12495">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12495" class="permalink" rel="bookmark">http://pastebin.com/qWHDWCre</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://pastebin.com/qWHDWCre" rel="nofollow">http://pastebin.com/qWHDWCre</a> TOR is not secure</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12523"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12523" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 04, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12495" class="permalink" rel="bookmark">http://pastebin.com/qWHDWCre</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12523">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12523" class="permalink" rel="bookmark">I will see your lunatic</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I will see your lunatic ravings and raise you <a href="http://pastebin.com/msSyyED5" rel="nofollow">http://pastebin.com/msSyyED5</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12499"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12499" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2011</p>
    </div>
    <a href="#comment-12499">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12499" class="permalink" rel="bookmark">The slides to the talk have</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The slides to the talk have been published: <a href="http://www.flickr.com/photos/35149312@N05/" rel="nofollow">http://www.flickr.com/photos/35149312@N05/</a></p>
<p>I have yet to read the paper behind them, but I have to say the slides make a lot more sense than the previous descriptions of this attack.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12500"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12500" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2011</p>
    </div>
    <a href="#comment-12500">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12500" class="permalink" rel="bookmark">The personal attacks by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The personal attacks by anonymous contributors shows clearly who lacks understanding here:</p>
<p>- the conference exists for 8 years and we had many important research comming out of it<br />
- we never contacted the media, so saying that we accepted an interesting nd controversial talk for grtting media is stupid.  We never even accepted to give ANY declarations to the media, since the con is completely not media-aware<br />
- I coordinated dozens of critical vulnerabilities with major players in the industry and open-source projects and for that reason I'm sure in better position than a man who is not even mn enough to say who he is to talk about vuln disclosure policies<br />
- I replied to the tor (and I dont care how you want me to spell it since I'm the one spelling it and I'm sure that even with a minor IQ somebody can understand what I'm talking) exactly to open questions to the presenter.  I never created a condition of been in the con to ask him questions and was more than willing to forward doubts.  Nobody here made any.<br />
- Regarding past research by Eric, the comment was right in defining that it is difficult to measure or judge.  Even more because mistakes on the past does not mean there is no good comming in the future.  Our metric is based on previous publications too, but not only on that.</p>
<p>Regards,</p>
<p>Rodrigo (BSDaemon)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12501"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12501" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2011</p>
    </div>
    <a href="#comment-12501">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12501" class="permalink" rel="bookmark">Anonymous Fighting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Anonymous Fighting Anonymity</p>
<p>Next step of Anons' campaign of frontier justice (aka OpDarknet) - or should it now be called "War on Tor"? </p>
<p><a href="http://arstechnica.com/business/news/2011/11/anonymous-collects-publishes-ip-addresses-of-alleged-pedophiles.ars" rel="nofollow">http://arstechnica.com/business/news/2011/11/anonymous-collects-publish…</a></p>
<p>"Anonymous collects, publishes IP addresses of alleged pedophiles</p>
<p>... the Anonymous 'hacktivist' group has published the Internet addresses of 190 alleged pedophiles. To do so, they allegedly collaborated with members of the Mozilla Foundation to create a modified Tor browser plugin which collected forensic data about the users. Members of the group also claim that a member of Tor’s developer team is the operator of the hosting service that serves up several child pornography sites.</p>
<p>The Tor privacy network uses a set of special protocols that can be used to allow anonymous browsing of the Internet and access to hidden “.onion” sites—a “darknet” of webpages, collaborative spaces and other Internet resources hidden from the view of the wider Internet.  The Tor network conceals the location of these services, though attacks within the network can “fingerprint” them to gain information about them and use other methods to get a general idea of their location. </p>
<p>A recent security update to Tor corrected some vulnerabilities that made it possible to identify users by the security certificate they used to connect to sites. Anonymous claims to have used the update as the basis for a social engineering attack on pedophiles that it used to install an altered version of the Tor software so that it could collect forensic information..."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-12616"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12616" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 11, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12501" class="permalink" rel="bookmark">Anonymous Fighting</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-12616">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12616" class="permalink" rel="bookmark">Whatever happened to the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Whatever happened to the principle of confronting one's accusers/opponents in a public forum?<br />
I'm informed by alleged this' and alleged thats' and when I first - many months ago - objected about this Anonymous 'hacktivist' groups' underhanded Nazi-like tactics against Amazon et al which brought them nor Assange any success whatsoever.<br />
Now, if I understand you correctly, you're telling me that they've published the Internet addresses of 190 alleged pedophiles. Sounds like more surreptitious Nazism to me!<br />
And yes, I'm one of those who activated the "update" button on Hard Candy and all that resulted was that Tor gave up working. No problem at all because I know where I can get a duplicate copy...<br />
And viewing Hard Candy doesn't make me a paedophile either - I'm sure there are many other law enforcement personnel checking it out on a regular basis too in the hope of picking up a lead. And I (and my task force) certainly haven't been informed of any 190 alleged pedophiles who's IP addresses have been published on any network. I'm also very sure that any site host would take legal advice to confirm bona fides lest he or she be sued down to their pajama buttons.<br />
It all sounds like this Anonymous 'hacktivist' group are a collection of malicious and immature fools too cowardly to step forward and testify as to evidence as witnesses in a court-of-law.<br />
It also appears that they have been so advised and in consequence have started a rumour mill to rival the most mundane "soapie" in the hope of gaining their oft hoped for "15 minutes".<br />
I can only express my contempt for their way of doing things and hope that I'll be the one arresting some of their ilk for "running with the hare and hunting with the hounds"<br />
if you get my drift. I heartily dislike dishonesty of any kind from whomsoever it may be!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12614"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12614" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 11, 2011</p>
    </div>
    <a href="#comment-12614">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12614" class="permalink" rel="bookmark">Good to hear, phobos, that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good to hear, phobos, that there be someone NOT stampeded by wet-dream rumours.</p>
<p>My understanding is that if'n the equipment systems are up to date and one doesn't lollygag around with 'torrents it is werry unlikely that any sort of trace can be put upon one. </p>
<p>That said I should also add that there are sooo many "techie' wannabees craving attention that they all fall over themselves to pass remarks where the non-cognicenti [that's me] can see them. </p>
<p>I'fn y'all don't believe me then check out the "solutions" offered by these so-called expurt sites.These wanabee "techie" types are also simply known as "trolls" and should be recognised as such</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12624"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12624" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 11, 2011</p>
    </div>
    <a href="#comment-12624">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12624" class="permalink" rel="bookmark">Filiol put up slides and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Filiol put up slides and data here:</p>
<p><a href="http://cvo-lab.blogspot.com/2011/11/tor-attack-technical-details.html" rel="nofollow">http://cvo-lab.blogspot.com/2011/11/tor-attack-technical-details.html</a></p>
<p>Note the typical French MO: take bright students' work (usually from Africa, French people just don't get math), slap your name on it, fly around the world mouthing off at those "arrogant" and "aggressive" English-speakers, etc.</p>
<p>I like how he uses the word "buzz" over and over again. It's called peer-review. Don't like it? Go back to the military. Or are you talking about the kind of "buzz" that happens when one claims to have broken AES like an idiot? Oh, oops, there's that buzz (peer-review) again...</p>
<p>Tool.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-13065"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-13065" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 12, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12624" class="permalink" rel="bookmark">Filiol put up slides and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-13065">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-13065" class="permalink" rel="bookmark">word.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>word.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-12627"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12627" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 12, 2011</p>
    </div>
    <a href="#comment-12627">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12627" class="permalink" rel="bookmark">I wonder if anyone could</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I wonder if anyone could assist please...</p>
<p>I can't connect to the Onion Forum using the url 'onion.is-found.org/linklist/5/7' and the Tor Browser Bundle (2.2.34-2) just repeatedly advises that "Firefox can't establish a connection to the server at l6nvqsqivhrunqvs.onion." which ain't the same url at all. </p>
<p>Is Firefox (Aurora) now configured to selectively block site access? </p>
<p>I've checked access to the pedo sites on the .onion network and they "appear" to be operating freely so I don't really understand the problem but my communication process is being disrupted and consequently lives may now be in jeopardy.</p>
<p>Thank you for this oppoptunity</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-13239"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-13239" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 26, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-12627" class="permalink" rel="bookmark">I wonder if anyone could</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-13239">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-13239" class="permalink" rel="bookmark">Firefox can&#039;t establish a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Firefox can't establish a connection to the server at l6nvqsqivhrunqvs.onion." I Have this error too and I don't now what to do hellp.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
